## org.eclipse.datatools.modelbase.sql.datatypes.impl
Class SQLDataTypesPackageImpl

    java.lang.Object
      EPackageImpl
          org.eclipse.datatools.modelbase.sql.datatypes.impl.SQLDataTypesPackageImpl

All Implemented Interfaces:
  SQLDataTypesPackage

public class SQLDataTypesPackageImpl
extends EPackageImpl
implements SQLDataTypesPackage

An implementation of the model Package.

See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.SQLDataTypesPackage

`APPROXIMATE_NUMERIC_DATA_TYPE, APPROXIMATE_NUMERIC_DATA_TYPE__DEPENDENCIES, APPROXIMATE_NUMERIC_DATA_TYPE__DESCRIPTION, APPROXIMATE_NUMERIC_DATA_TYPE__EANNOTATIONS, APPROXIMATE_NUMERIC_DATA_TYPE__LABEL, APPROXIMATE_NUMERIC_DATA_TYPE__NAME, APPROXIMATE_NUMERIC_DATA_TYPE__PRECISION, APPROXIMATE_NUMERIC_DATA_TYPE__PRIMITIVE_TYPE, APPROXIMATE_NUMERIC_DATA_TYPE_FEATURE_COUNT, ARRAY_DATA_TYPE, ARRAY_DATA_TYPE__DEPENDENCIES, ARRAY_DATA_TYPE__DESCRIPTION, ARRAY_DATA_TYPE__EANNOTATIONS, ARRAY_DATA_TYPE__ELEMENT, ARRAY_DATA_TYPE__LABEL, ARRAY_DATA_TYPE__MAX_CARDINALITY, ARRAY_DATA_TYPE__NAME, ARRAY_DATA_TYPE_FEATURE_COUNT, ATTRIBUTE_DEFINITION, ATTRIBUTE_DEFINITION__CONTAINED_TYPE, ATTRIBUTE_DEFINITION__DEFAULT_VALUE, ATTRIBUTE_DEFINITION__DEPENDENCIES, ATTRIBUTE_DEFINITION__DESCRIPTION, ATTRIBUTE_DEFINITION__EANNOTATIONS, ATTRIBUTE_DEFINITION__LABEL, ATTRIBUTE_DEFINITION__NAME, ATTRIBUTE_DEFINITION__REFERENCED_TYPE, ATTRIBUTE_DEFINITION__SCOPE_CHECK, ATTRIBUTE_DEFINITION__SCOPE_CHECKED, ATTRIBUTE_DEFINITION_FEATURE_COUNT, BINARY_STRING_DATA_TYPE, BINARY_STRING_DATA_TYPE__DEPENDENCIES, BINARY_STRING_DATA_TYPE__DESCRIPTION, BINARY_STRING_DATA_TYPE__EANNOTATIONS, BINARY_STRING_DATA_TYPE__LABEL, BINARY_STRING_DATA_TYPE__LENGTH, BINARY_STRING_DATA_TYPE__NAME, BINARY_STRING_DATA_TYPE__PRIMITIVE_TYPE, BINARY_STRING_DATA_TYPE_FEATURE_COUNT, BOOLEAN_DATA_TYPE, BOOLEAN_DATA_TYPE__DEPENDENCIES, BOOLEAN_DATA_TYPE__DESCRIPTION, BOOLEAN_DATA_TYPE__EANNOTATIONS, BOOLEAN_DATA_TYPE__LABEL, BOOLEAN_DATA_TYPE__NAME, BOOLEAN_DATA_TYPE__PRIMITIVE_TYPE, BOOLEAN_DATA_TYPE_FEATURE_COUNT, CHARACTER_SET, CHARACTER_SET__DEFAULT_COLLATION, CHARACTER_SET__DEPENDENCIES, CHARACTER_SET__DESCRIPTION, CHARACTER_SET__EANNOTATIONS, CHARACTER_SET__ENCODING, CHARACTER_SET__LABEL, CHARACTER_SET__NAME, CHARACTER_SET__REPERTOIRE, CHARACTER_SET__SCHEMA, CHARACTER_SET_FEATURE_COUNT, CHARACTER_STRING_DATA_TYPE, CHARACTER_STRING_DATA_TYPE__CHARACTER_SET, CHARACTER_STRING_DATA_TYPE__COERCIBILITY, CHARACTER_STRING_DATA_TYPE__COLLATION_NAME, CHARACTER_STRING_DATA_TYPE__DEPENDENCIES, CHARACTER_STRING_DATA_TYPE__DESCRIPTION, CHARACTER_STRING_DATA_TYPE__EANNOTATIONS, CHARACTER_STRING_DATA_TYPE__FIXED_LENGTH, CHARACTER_STRING_DATA_TYPE__LABEL, CHARACTER_STRING_DATA_TYPE__LENGTH, CHARACTER_STRING_DATA_TYPE__NAME, CHARACTER_STRING_DATA_TYPE__PRIMITIVE_TYPE, CHARACTER_STRING_DATA_TYPE_FEATURE_COUNT, COERCIBILITY_TYPE, COLLECTION_DATA_TYPE, COLLECTION_DATA_TYPE__DEPENDENCIES, COLLECTION_DATA_TYPE__DESCRIPTION, COLLECTION_DATA_TYPE__EANNOTATIONS, COLLECTION_DATA_TYPE__ELEMENT, COLLECTION_DATA_TYPE__LABEL, COLLECTION_DATA_TYPE__NAME, COLLECTION_DATA_TYPE_FEATURE_COUNT, CONSTRUCTED_DATA_TYPE, CONSTRUCTED_DATA_TYPE__DEPENDENCIES, CONSTRUCTED_DATA_TYPE__DESCRIPTION, CONSTRUCTED_DATA_TYPE__EANNOTATIONS, CONSTRUCTED_DATA_TYPE__LABEL, CONSTRUCTED_DATA_TYPE__NAME, CONSTRUCTED_DATA_TYPE_FEATURE_COUNT, DATA_LINK_DATA_TYPE, DATA_LINK_DATA_TYPE__DEPENDENCIES, DATA_LINK_DATA_TYPE__DESCRIPTION, DATA_LINK_DATA_TYPE__EANNOTATIONS, DATA_LINK_DATA_TYPE__INTEGRITY_CONTROL, DATA_LINK_DATA_TYPE__LABEL, DATA_LINK_DATA_TYPE__LENGTH, DATA_LINK_DATA_TYPE__LINK_CONTROL, DATA_LINK_DATA_TYPE__NAME, DATA_LINK_DATA_TYPE__PRIMITIVE_TYPE, DATA_LINK_DATA_TYPE__READ_PERMISSION, DATA_LINK_DATA_TYPE__RECOVERY, DATA_LINK_DATA_TYPE__UNLINK, DATA_LINK_DATA_TYPE__WRITE_PERMISSION, DATA_LINK_DATA_TYPE_FEATURE_COUNT, DATA_TYPE, DATA_TYPE__DEPENDENCIES, DATA_TYPE__DESCRIPTION, DATA_TYPE__EANNOTATIONS, DATA_TYPE__LABEL, DATA_TYPE__NAME, DATA_TYPE_FEATURE_COUNT, DATE_DATA_TYPE, DATE_DATA_TYPE__DEPENDENCIES, DATE_DATA_TYPE__DESCRIPTION, DATE_DATA_TYPE__EANNOTATIONS, DATE_DATA_TYPE__LABEL, DATE_DATA_TYPE__NAME, DATE_DATA_TYPE__PRIMITIVE_TYPE, DATE_DATA_TYPE_FEATURE_COUNT, DISTINCT_USER_DEFINED_TYPE, DISTINCT_USER_DEFINED_TYPE__DEPENDENCIES, DISTINCT_USER_DEFINED_TYPE__DESCRIPTION, DISTINCT_USER_DEFINED_TYPE__EANNOTATIONS, DISTINCT_USER_DEFINED_TYPE__LABEL, DISTINCT_USER_DEFINED_TYPE__NAME, DISTINCT_USER_DEFINED_TYPE__ORDERING, DISTINCT_USER_DEFINED_TYPE__PREDEFINED_REPRESENTATION, DISTINCT_USER_DEFINED_TYPE__SCHEMA, DISTINCT_USER_DEFINED_TYPE_FEATURE_COUNT, DOMAIN, DOMAIN__CONSTRAINT, DOMAIN__DEFAULT_VALUE, DOMAIN__DEPENDENCIES, DOMAIN__DESCRIPTION, DOMAIN__EANNOTATIONS, DOMAIN__LABEL, DOMAIN__NAME, DOMAIN__ORDERING, DOMAIN__PREDEFINED_REPRESENTATION, DOMAIN__SCHEMA, DOMAIN_FEATURE_COUNT, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, EXACT_NUMERIC_DATA_TYPE, EXACT_NUMERIC_DATA_TYPE__DEPENDENCIES, EXACT_NUMERIC_DATA_TYPE__DESCRIPTION, EXACT_NUMERIC_DATA_TYPE__EANNOTATIONS, EXACT_NUMERIC_DATA_TYPE__LABEL, EXACT_NUMERIC_DATA_TYPE__NAME, EXACT_NUMERIC_DATA_TYPE__PRECISION, EXACT_NUMERIC_DATA_TYPE__PRIMITIVE_TYPE, EXACT_NUMERIC_DATA_TYPE__SCALE, EXACT_NUMERIC_DATA_TYPE_FEATURE_COUNT, FIELD, FIELD__CONTAINED_TYPE, FIELD__DEPENDENCIES, FIELD__DESCRIPTION, FIELD__EANNOTATIONS, FIELD__LABEL, FIELD__NAME, FIELD__REFERENCED_TYPE, FIELD__SCOPE_CHECK, FIELD__SCOPE_CHECKED, FIELD_FEATURE_COUNT, FIXED_PRECISION_DATA_TYPE, FIXED_PRECISION_DATA_TYPE__DEPENDENCIES, FIXED_PRECISION_DATA_TYPE__DESCRIPTION, FIXED_PRECISION_DATA_TYPE__EANNOTATIONS, FIXED_PRECISION_DATA_TYPE__LABEL, FIXED_PRECISION_DATA_TYPE__NAME, FIXED_PRECISION_DATA_TYPE__PRECISION, FIXED_PRECISION_DATA_TYPE__PRIMITIVE_TYPE, FIXED_PRECISION_DATA_TYPE__SCALE, FIXED_PRECISION_DATA_TYPE_FEATURE_COUNT, INTEGER_DATA_TYPE, INTEGER_DATA_TYPE__DEPENDENCIES, INTEGER_DATA_TYPE__DESCRIPTION, INTEGER_DATA_TYPE__EANNOTATIONS, INTEGER_DATA_TYPE__LABEL, INTEGER_DATA_TYPE__NAME, INTEGER_DATA_TYPE__PRECISION, INTEGER_DATA_TYPE__PRIMITIVE_TYPE, INTEGER_DATA_TYPE__SCALE, INTEGER_DATA_TYPE_FEATURE_COUNT, INTEGRITY_CONTROL_OPTION, INTERVAL_DATA_TYPE, INTERVAL_DATA_TYPE__DEPENDENCIES, INTERVAL_DATA_TYPE__DESCRIPTION, INTERVAL_DATA_TYPE__EANNOTATIONS, INTERVAL_DATA_TYPE__FRACTIONAL_SECONDS_PRECISION, INTERVAL_DATA_TYPE__LABEL, INTERVAL_DATA_TYPE__LEADING_FIELD_PRECISION, INTERVAL_DATA_TYPE__LEADING_QUALIFIER, INTERVAL_DATA_TYPE__NAME, INTERVAL_DATA_TYPE__PRIMITIVE_TYPE, INTERVAL_DATA_TYPE__TRAILING_FIELD_PRECISION, INTERVAL_DATA_TYPE__TRAILING_QUALIFIER, INTERVAL_DATA_TYPE_FEATURE_COUNT, INTERVAL_QUALIFIER_TYPE, LINK_CONTROL_OPTION, MULTISET_DATA_TYPE, MULTISET_DATA_TYPE__DEPENDENCIES, MULTISET_DATA_TYPE__DESCRIPTION, MULTISET_DATA_TYPE__EANNOTATIONS, MULTISET_DATA_TYPE__ELEMENT, MULTISET_DATA_TYPE__LABEL, MULTISET_DATA_TYPE__NAME, MULTISET_DATA_TYPE_FEATURE_COUNT, NUMERICAL_DATA_TYPE, NUMERICAL_DATA_TYPE__DEPENDENCIES, NUMERICAL_DATA_TYPE__DESCRIPTION, NUMERICAL_DATA_TYPE__EANNOTATIONS, NUMERICAL_DATA_TYPE__LABEL, NUMERICAL_DATA_TYPE__NAME, NUMERICAL_DATA_TYPE__PRECISION, NUMERICAL_DATA_TYPE__PRIMITIVE_TYPE, NUMERICAL_DATA_TYPE_FEATURE_COUNT, ORDERING_CATEGORY_TYPE, ORDERING_TYPE, PREDEFINED_DATA_TYPE, PREDEFINED_DATA_TYPE__DEPENDENCIES, PREDEFINED_DATA_TYPE__DESCRIPTION, PREDEFINED_DATA_TYPE__EANNOTATIONS, PREDEFINED_DATA_TYPE__LABEL, PREDEFINED_DATA_TYPE__NAME, PREDEFINED_DATA_TYPE__PRIMITIVE_TYPE, PREDEFINED_DATA_TYPE_FEATURE_COUNT, PRIMITIVE_TYPE, READ_PERMISSION_OPTION, REFERENCE_DATA_TYPE, REFERENCE_DATA_TYPE__DEPENDENCIES, REFERENCE_DATA_TYPE__DESCRIPTION, REFERENCE_DATA_TYPE__EANNOTATIONS, REFERENCE_DATA_TYPE__LABEL, REFERENCE_DATA_TYPE__NAME, REFERENCE_DATA_TYPE__REFERENCED_TYPE, REFERENCE_DATA_TYPE__SCOPE_TABLE, REFERENCE_DATA_TYPE_FEATURE_COUNT, ROW_DATA_TYPE, ROW_DATA_TYPE__DEPENDENCIES, ROW_DATA_TYPE__DESCRIPTION, ROW_DATA_TYPE__EANNOTATIONS, ROW_DATA_TYPE__FIELDS, ROW_DATA_TYPE__LABEL, ROW_DATA_TYPE__NAME, ROW_DATA_TYPE_FEATURE_COUNT, SQL_DATA_TYPE, SQL_DATA_TYPE__DEPENDENCIES, SQL_DATA_TYPE__DESCRIPTION, SQL_DATA_TYPE__EANNOTATIONS, SQL_DATA_TYPE__LABEL, SQL_DATA_TYPE__NAME, SQL_DATA_TYPE_FEATURE_COUNT, STRUCTURED_USER_DEFINED_TYPE, STRUCTURED_USER_DEFINED_TYPE__ATTRIBUTES, STRUCTURED_USER_DEFINED_TYPE__DEPENDENCIES, STRUCTURED_USER_DEFINED_TYPE__DESCRIPTION, STRUCTURED_USER_DEFINED_TYPE__EANNOTATIONS, STRUCTURED_USER_DEFINED_TYPE__FINAL, STRUCTURED_USER_DEFINED_TYPE__INSTANTIABLE, STRUCTURED_USER_DEFINED_TYPE__LABEL, STRUCTURED_USER_DEFINED_TYPE__METHODS, STRUCTURED_USER_DEFINED_TYPE__NAME, STRUCTURED_USER_DEFINED_TYPE__ORDERING, STRUCTURED_USER_DEFINED_TYPE__SCHEMA, STRUCTURED_USER_DEFINED_TYPE__SUB, STRUCTURED_USER_DEFINED_TYPE__SUPER, STRUCTURED_USER_DEFINED_TYPE_FEATURE_COUNT, TIME_DATA_TYPE, TIME_DATA_TYPE__DEPENDENCIES, TIME_DATA_TYPE__DESCRIPTION, TIME_DATA_TYPE__EANNOTATIONS, TIME_DATA_TYPE__FRACTIONAL_SECONDS_PRECISION, TIME_DATA_TYPE__LABEL, TIME_DATA_TYPE__NAME, TIME_DATA_TYPE__PRIMITIVE_TYPE, TIME_DATA_TYPE__TIME_ZONE, TIME_DATA_TYPE_FEATURE_COUNT, UNLINK_OPTION, USER_DEFINED_TYPE, USER_DEFINED_TYPE__DEPENDENCIES, USER_DEFINED_TYPE__DESCRIPTION, USER_DEFINED_TYPE__EANNOTATIONS, USER_DEFINED_TYPE__LABEL, USER_DEFINED_TYPE__NAME, USER_DEFINED_TYPE__ORDERING, USER_DEFINED_TYPE__SCHEMA, USER_DEFINED_TYPE_FEATURE_COUNT, USER_DEFINED_TYPE_ORDERING, USER_DEFINED_TYPE_ORDERING__DEPENDENCIES, USER_DEFINED_TYPE_ORDERING__DESCRIPTION, USER_DEFINED_TYPE_ORDERING__EANNOTATIONS, USER_DEFINED_TYPE_ORDERING__LABEL, USER_DEFINED_TYPE_ORDERING__NAME, USER_DEFINED_TYPE_ORDERING__ORDERING_CATEGORY, USER_DEFINED_TYPE_ORDERING__ORDERING_FORM, USER_DEFINED_TYPE_ORDERING__ORDERING_ROUTINE, USER_DEFINED_TYPE_ORDERING_FEATURE_COUNT, WRITE_PERMISSION_OPTION, XML_DATA_TYPE, XML_DATA_TYPE__DEPENDENCIES, XML_DATA_TYPE__DESCRIPTION, XML_DATA_TYPE__EANNOTATIONS, XML_DATA_TYPE__LABEL, XML_DATA_TYPE__NAME, XML_DATA_TYPE__PRIMITIVE_TYPE, XML_DATA_TYPE_FEATURE_COUNT`

Method Summary
`void` `createPackageContents()` Creates the meta-model objects for the package.
`EClass` `getApproximateNumericDataType()`
`EAttribute` `getArrayDataType_MaxCardinality()`
`EClass` `getArrayDataType()`
`EAttribute` `getAttributeDefinition_DefaultValue()`
`EAttribute` `getAttributeDefinition_ScopeCheck()`
`EAttribute` `getAttributeDefinition_ScopeChecked()`
`EClass` `getAttributeDefinition()`
`EAttribute` `getBinaryStringDataType_Length()`
`EClass` `getBinaryStringDataType()`
`EClass` `getBooleanDataType()`
`EAttribute` `getCharacterSet_DefaultCollation()`
`EAttribute` `getCharacterSet_Encoding()`
`EAttribute` `getCharacterSet_Repertoire()`
`EReference` `getCharacterSet_Schema()`
`EClass` `getCharacterSet()`
`EReference` `getCharacterStringDataType_CharacterSet()`
`EAttribute` `getCharacterStringDataType_Coercibility()`
`EAttribute` `getCharacterStringDataType_CollationName()`
`EAttribute` `getCharacterStringDataType_FixedLength()`
`EAttribute` `getCharacterStringDataType_Length()`
`EClass` `getCharacterStringDataType()`
`EEnum` `getCoercibilityType()`
`EReference` `getCollectionDataType_Element()`
`EClass` `getCollectionDataType()`
`EClass` `getConstructedDataType()`
`EAttribute` `getDataLinkDataType_IntegrityControl()`
`EAttribute` `getDataLinkDataType_Length()`
`EAttribute` `getDataLinkDataType_LinkControl()`
`EAttribute` `getDataLinkDataType_ReadPermission()`
`EAttribute` `getDataLinkDataType_Recovery()`
`EAttribute` `getDataLinkDataType_Unlink()`
`EAttribute` `getDataLinkDataType_WritePermission()`
`EClass` `getDataLinkDataType()`
`EClass` `getDataType()`
`EClass` `getDateDataType()`
`EReference` `getDistinctUserDefinedType_PredefinedRepresentation()`
`EClass` `getDistinctUserDefinedType()`
`EReference` `getDomain_Constraint()`
`EAttribute` `getDomain_DefaultValue()`
`EClass` `getDomain()`
`EAttribute` `getExactNumericDataType_Scale()`
`EClass` `getExactNumericDataType()`
`EAttribute` `getField_ScopeCheck()`
`EAttribute` `getField_ScopeChecked()`
`EClass` `getField()`
`EClass` `getFixedPrecisionDataType()`
`EClass` `getIntegerDataType()`
`EEnum` `getIntegrityControlOption()`
`EAttribute` `getIntervalDataType_FractionalSecondsPrecision()`
`EAttribute` `getIntervalDataType_LeadingFieldPrecision()`
`EAttribute` `getIntervalDataType_LeadingQualifier()`
`EAttribute` `getIntervalDataType_TrailingFieldPrecision()`
`EAttribute` `getIntervalDataType_TrailingQualifier()`
`EClass` `getIntervalDataType()`
`EEnum` `getIntervalQualifierType()`
`EEnum` `getLinkControlOption()`
`EClass` `getMultisetDataType()`
`EAttribute` `getNumericalDataType_Precision()`
`EClass` `getNumericalDataType()`
`EEnum` `getOrderingCategoryType()`
`EEnum` `getOrderingType()`
`EAttribute` `getPredefinedDataType_PrimitiveType()`
`EClass` `getPredefinedDataType()`
`EEnum` `getPrimitiveType()`
`EEnum` `getReadPermissionOption()`
`EReference` `getReferenceDataType_ReferencedType()`
`EReference` `getReferenceDataType_ScopeTable()`
`EClass` `getReferenceDataType()`
`EReference` `getRowDataType_Fields()`
`EClass` `getRowDataType()`
`EClass` `getSQLDataType()`
`SQLDataTypesFactory` `getSQLDataTypesFactory()`
`EReference` `getStructuredUserDefinedType_Attributes()`
`EAttribute` `getStructuredUserDefinedType_Final()`
`EAttribute` `getStructuredUserDefinedType_Instantiable()`
`EReference` `getStructuredUserDefinedType_Methods()`
`EReference` `getStructuredUserDefinedType_Sub()`
`EReference` `getStructuredUserDefinedType_Super()`
`EClass` `getStructuredUserDefinedType()`
`EAttribute` `getTimeDataType_FractionalSecondsPrecision()`
`EAttribute` `getTimeDataType_TimeZone()`
`EClass` `getTimeDataType()`
`EEnum` `getUnlinkOption()`
`EReference` `getUserDefinedType_Ordering()`
`EReference` `getUserDefinedType_Schema()`
`EClass` `getUserDefinedType()`
`EAttribute` `getUserDefinedTypeOrdering_OrderingCategory()`
`EAttribute` `getUserDefinedTypeOrdering_OrderingForm()`
`EReference` `getUserDefinedTypeOrdering_OrderingRoutine()`
`EClass` `getUserDefinedTypeOrdering()`
`EEnum` `getWritePermissionOption()`
`EClass` `getXMLDataType()`
`static SQLDataTypesPackage` `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` `initializePackageContents()` Complete the initialization of the package and its meta-model.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### init

    public static SQLDataTypesPackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends. Simple dependencies are satisfied by calling this method on all dependent packages before doing anything else. This method drives initialization for interdependent packages directly, in parallel with this package, itself.

  Of this package and its interdependencies, all packages which have not yet been registered by their URI values are first created and registered. The packages are then initialized in two steps: meta-model objects for all of the packages are created before any are initialized, since one package's meta-model objects may refer to those of another.

  Invocation of this method will not affect any packages that have already been initialized.

  See Also:
    `SQLDataTypesPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

### getUserDefinedType

    public EClass getUserDefinedType()

  Specified by:
    `getUserDefinedType` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for class 'User Defined Type'.
  See Also:
    `UserDefinedType`

### getUserDefinedType_Schema

    public EReference getUserDefinedType_Schema()

  Specified by:
    `getUserDefinedType_Schema` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for the reference 'Schema'.
  See Also:
    `UserDefinedType.getSchema()`, `SQLDataTypesPackage.getUserDefinedType()`

### getUserDefinedType_Ordering

    public EReference getUserDefinedType_Ordering()

  Specified by:
    `getUserDefinedType_Ordering` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for the containment reference 'Ordering'.
  See Also:
    `UserDefinedType.getOrdering()`, `SQLDataTypesPackage.getUserDefinedType()`

### getDataType

    public EClass getDataType()

  Specified by:
    `getDataType` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for class 'Data Type'.
  See Also:
    `DataType`

### getPredefinedDataType

    public EClass getPredefinedDataType()

  Specified by:
    `getPredefinedDataType` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for class 'Predefined Data Type'.
  See Also:
    `PredefinedDataType`

### getPredefinedDataType_PrimitiveType

    public EAttribute getPredefinedDataType_PrimitiveType()

  Specified by:
    `getPredefinedDataType_PrimitiveType` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for the attribute 'Primitive Type'.
  See Also:
    `PredefinedDataType.getPrimitiveType()`, `SQLDataTypesPackage.getPredefinedDataType()`

### getCollectionDataType

    public EClass getCollectionDataType()

  Specified by:
    `getCollectionDataType` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for class 'Collection Data Type'.
  See Also:
    `CollectionDataType`

### getCollectionDataType_Element

    public EReference getCollectionDataType_Element()

  Specified by:
    `getCollectionDataType_Element` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for the reference list 'Element'.
  See Also:
    `CollectionDataType.getElement()`, `SQLDataTypesPackage.getCollectionDataType()`

### getNumericalDataType

    public EClass getNumericalDataType()

  Specified by:
    `getNumericalDataType` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for class 'Numerical Data Type'.
  See Also:
    `NumericalDataType`

### getNumericalDataType_Precision

    public EAttribute getNumericalDataType_Precision()

  Specified by:
    `getNumericalDataType_Precision` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for the attribute 'Precision'.
  See Also:
    `NumericalDataType.getPrecision()`, `SQLDataTypesPackage.getNumericalDataType()`

### getCharacterStringDataType

    public EClass getCharacterStringDataType()

  Specified by:
    `getCharacterStringDataType` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for class 'Character String Data Type'.
  See Also:
    `CharacterStringDataType`

### getCharacterStringDataType_Length

    public EAttribute getCharacterStringDataType_Length()

  Specified by:
    `getCharacterStringDataType_Length` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for the attribute 'Length'.
  See Also:
    `CharacterStringDataType.getLength()`, `SQLDataTypesPackage.getCharacterStringDataType()`

### getCharacterStringDataType_Coercibility

    public EAttribute getCharacterStringDataType_Coercibility()

  Specified by:
    `getCharacterStringDataType_Coercibility` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for the attribute 'Coercibility'.
  See Also:
    `CharacterStringDataType.getCoercibility()`, `SQLDataTypesPackage.getCharacterStringDataType()`

### getCharacterStringDataType_FixedLength

    public EAttribute getCharacterStringDataType_FixedLength()

  Specified by:
    `getCharacterStringDataType_FixedLength` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for the attribute 'Fixed Length'.
  See Also:
    `CharacterStringDataType.isFixedLength()`, `SQLDataTypesPackage.getCharacterStringDataType()`

### getCharacterStringDataType_CollationName

    public EAttribute getCharacterStringDataType_CollationName()

  Specified by:
    `getCharacterStringDataType_CollationName` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for the attribute 'Collation Name'.
  See Also:
    `CharacterStringDataType.getCollationName()`, `SQLDataTypesPackage.getCharacterStringDataType()`

### getCharacterStringDataType_CharacterSet

    public EReference getCharacterStringDataType_CharacterSet()

  Specified by:
    `getCharacterStringDataType_CharacterSet` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for the reference 'Character Set'.
  See Also:
    `CharacterStringDataType.getCharacterSet()`, `SQLDataTypesPackage.getCharacterStringDataType()`

### getRowDataType

    public EClass getRowDataType()

  Specified by:
    `getRowDataType` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for class 'Row Data Type'.
  See Also:
    `RowDataType`

### getRowDataType_Fields

    public EReference getRowDataType_Fields()

  Specified by:
    `getRowDataType_Fields` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for the containment reference list 'Fields'.
  See Also:
    `RowDataType.getFields()`, `SQLDataTypesPackage.getRowDataType()`

### getArrayDataType

    public EClass getArrayDataType()

  Specified by:
    `getArrayDataType` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for class 'Array Data Type'.
  See Also:
    `ArrayDataType`

### getArrayDataType_MaxCardinality

    public EAttribute getArrayDataType_MaxCardinality()

  Specified by:
    `getArrayDataType_MaxCardinality` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for the attribute 'Max Cardinality'.
  See Also:
    `ArrayDataType.getMaxCardinality()`, `SQLDataTypesPackage.getArrayDataType()`

### getMultisetDataType

    public EClass getMultisetDataType()

  Specified by:
    `getMultisetDataType` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for class 'Multiset Data Type'.
  See Also:
    `MultisetDataType`

### getBooleanDataType

    public EClass getBooleanDataType()

  Specified by:
    `getBooleanDataType` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for class 'Boolean Data Type'.
  See Also:
    `BooleanDataType`

### getIntervalDataType

    public EClass getIntervalDataType()

  Specified by:
    `getIntervalDataType` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for class 'Interval Data Type'.
  See Also:
    `IntervalDataType`

### getIntervalDataType_LeadingQualifier

    public EAttribute getIntervalDataType_LeadingQualifier()

  Specified by:
    `getIntervalDataType_LeadingQualifier` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for the attribute 'Leading Qualifier'.
  See Also:
    `IntervalDataType.getLeadingQualifier()`, `SQLDataTypesPackage.getIntervalDataType()`

### getIntervalDataType_TrailingQualifier

    public EAttribute getIntervalDataType_TrailingQualifier()

  Specified by:
    `getIntervalDataType_TrailingQualifier` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for the attribute 'Trailing Qualifier'.
  See Also:
    `IntervalDataType.getTrailingQualifier()`, `SQLDataTypesPackage.getIntervalDataType()`

### getIntervalDataType_LeadingFieldPrecision

    public EAttribute getIntervalDataType_LeadingFieldPrecision()

  Specified by:
    `getIntervalDataType_LeadingFieldPrecision` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for the attribute 'Leading Field Precision'.
  See Also:
    `IntervalDataType.getLeadingFieldPrecision()`, `SQLDataTypesPackage.getIntervalDataType()`

### getIntervalDataType_TrailingFieldPrecision

    public EAttribute getIntervalDataType_TrailingFieldPrecision()

  Specified by:
    `getIntervalDataType_TrailingFieldPrecision` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for the attribute 'Trailing Field Precision'.
  See Also:
    `IntervalDataType.getTrailingFieldPrecision()`, `SQLDataTypesPackage.getIntervalDataType()`

### getIntervalDataType_FractionalSecondsPrecision

    public EAttribute getIntervalDataType_FractionalSecondsPrecision()

  Specified by:
    `getIntervalDataType_FractionalSecondsPrecision` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for the attribute 'Fractional Seconds Precision'.
  See Also:
    `IntervalDataType.getFractionalSecondsPrecision()`, `SQLDataTypesPackage.getIntervalDataType()`

### getBinaryStringDataType

    public EClass getBinaryStringDataType()

  Specified by:
    `getBinaryStringDataType` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for class 'Binary String Data Type'.
  See Also:
    `BinaryStringDataType`

### getBinaryStringDataType_Length

    public EAttribute getBinaryStringDataType_Length()

  Specified by:
    `getBinaryStringDataType_Length` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for the attribute 'Length'.
  See Also:
    `BinaryStringDataType.getLength()`, `SQLDataTypesPackage.getBinaryStringDataType()`

### getCharacterSet

    public EClass getCharacterSet()

  Specified by:
    `getCharacterSet` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for class 'Character Set'.
  See Also:
    `CharacterSet`

### getCharacterSet_Repertoire

    public EAttribute getCharacterSet_Repertoire()

  Specified by:
    `getCharacterSet_Repertoire` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for the attribute 'Repertoire'.
  See Also:
    `CharacterSet.getRepertoire()`, `SQLDataTypesPackage.getCharacterSet()`

### getCharacterSet_DefaultCollation

    public EAttribute getCharacterSet_DefaultCollation()

  Specified by:
    `getCharacterSet_DefaultCollation` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for the attribute 'Default Collation'.
  See Also:
    `CharacterSet.getDefaultCollation()`, `SQLDataTypesPackage.getCharacterSet()`

### getCharacterSet_Encoding

    public EAttribute getCharacterSet_Encoding()

  Specified by:
    `getCharacterSet_Encoding` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for the attribute 'Encoding'.
  See Also:
    `CharacterSet.getEncoding()`, `SQLDataTypesPackage.getCharacterSet()`

### getCharacterSet_Schema

    public EReference getCharacterSet_Schema()

  Specified by:
    `getCharacterSet_Schema` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for the reference 'Schema'.
  See Also:
    `CharacterSet.getSchema()`, `SQLDataTypesPackage.getCharacterSet()`

### getTimeDataType

    public EClass getTimeDataType()

  Specified by:
    `getTimeDataType` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for class 'Time Data Type'.
  See Also:
    `TimeDataType`

### getTimeDataType_FractionalSecondsPrecision

    public EAttribute getTimeDataType_FractionalSecondsPrecision()

  Specified by:
    `getTimeDataType_FractionalSecondsPrecision` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for the attribute 'Fractional Seconds Precision'.
  See Also:
    `TimeDataType.getFractionalSecondsPrecision()`, `SQLDataTypesPackage.getTimeDataType()`

### getTimeDataType_TimeZone

    public EAttribute getTimeDataType_TimeZone()

  Specified by:
    `getTimeDataType_TimeZone` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for the attribute 'Time Zone'.
  See Also:
    `TimeDataType.isTimeZone()`, `SQLDataTypesPackage.getTimeDataType()`

### getDistinctUserDefinedType

    public EClass getDistinctUserDefinedType()

  Specified by:
    `getDistinctUserDefinedType` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for class 'Distinct User Defined Type'.
  See Also:
    `DistinctUserDefinedType`

### getDistinctUserDefinedType_PredefinedRepresentation

    public EReference getDistinctUserDefinedType_PredefinedRepresentation()

  Specified by:
    `getDistinctUserDefinedType_PredefinedRepresentation` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for the containment reference 'Predefined Representation'.
  See Also:
    `DistinctUserDefinedType.getPredefinedRepresentation()`, `SQLDataTypesPackage.getDistinctUserDefinedType()`

### getStructuredUserDefinedType

    public EClass getStructuredUserDefinedType()

  Specified by:
    `getStructuredUserDefinedType` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for class 'Structured User Defined Type'.
  See Also:
    `StructuredUserDefinedType`

### getStructuredUserDefinedType_Instantiable

    public EAttribute getStructuredUserDefinedType_Instantiable()

  Specified by:
    `getStructuredUserDefinedType_Instantiable` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for the attribute 'Instantiable'.
  See Also:
    `StructuredUserDefinedType.isInstantiable()`, `SQLDataTypesPackage.getStructuredUserDefinedType()`

### getStructuredUserDefinedType_Final

    public EAttribute getStructuredUserDefinedType_Final()

  Specified by:
    `getStructuredUserDefinedType_Final` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for the attribute 'Final'.
  See Also:
    `StructuredUserDefinedType.isFinal()`, `SQLDataTypesPackage.getStructuredUserDefinedType()`

### getStructuredUserDefinedType_Super

    public EReference getStructuredUserDefinedType_Super()

  Specified by:
    `getStructuredUserDefinedType_Super` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for the reference 'Super'.
  See Also:
    `StructuredUserDefinedType.getSuper()`, `SQLDataTypesPackage.getStructuredUserDefinedType()`

### getStructuredUserDefinedType_Sub

    public EReference getStructuredUserDefinedType_Sub()

  Specified by:
    `getStructuredUserDefinedType_Sub` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for the reference list 'Sub'.
  See Also:
    `StructuredUserDefinedType.getSub()`, `SQLDataTypesPackage.getStructuredUserDefinedType()`

### getStructuredUserDefinedType_Attributes

    public EReference getStructuredUserDefinedType_Attributes()

  Specified by:
    `getStructuredUserDefinedType_Attributes` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for the containment reference list 'Attributes'.
  See Also:
    `StructuredUserDefinedType.getAttributes()`, `SQLDataTypesPackage.getStructuredUserDefinedType()`

### getStructuredUserDefinedType_Methods

    public EReference getStructuredUserDefinedType_Methods()

  Specified by:
    `getStructuredUserDefinedType_Methods` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for the containment reference list 'Methods'.
  See Also:
    `StructuredUserDefinedType.getMethods()`, `SQLDataTypesPackage.getStructuredUserDefinedType()`

### getAttributeDefinition

    public EClass getAttributeDefinition()

  Specified by:
    `getAttributeDefinition` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for class 'Attribute Definition'.
  See Also:
    `AttributeDefinition`

### getAttributeDefinition_ScopeCheck

    public EAttribute getAttributeDefinition_ScopeCheck()

  Specified by:
    `getAttributeDefinition_ScopeCheck` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for the attribute 'Scope Check'.
  See Also:
    `AttributeDefinition.getScopeCheck()`, `SQLDataTypesPackage.getAttributeDefinition()`

### getAttributeDefinition_ScopeChecked

    public EAttribute getAttributeDefinition_ScopeChecked()

  Specified by:
    `getAttributeDefinition_ScopeChecked` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for the attribute 'Scope Checked'.
  See Also:
    `AttributeDefinition.isScopeChecked()`, `SQLDataTypesPackage.getAttributeDefinition()`

### getAttributeDefinition_DefaultValue

    public EAttribute getAttributeDefinition_DefaultValue()

  Specified by:
    `getAttributeDefinition_DefaultValue` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for the attribute 'Default Value'.
  See Also:
    `AttributeDefinition.getDefaultValue()`, `SQLDataTypesPackage.getAttributeDefinition()`

### getFixedPrecisionDataType

    public EClass getFixedPrecisionDataType()

  Specified by:
    `getFixedPrecisionDataType` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for class 'Fixed Precision Data Type'.
  See Also:
    `FixedPrecisionDataType`

### getDomain

    public EClass getDomain()

  Specified by:
    `getDomain` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for class 'Domain'.
  See Also:
    `Domain`

### getDomain_Constraint

    public EReference getDomain_Constraint()

  Specified by:
    `getDomain_Constraint` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for the containment reference list 'Constraint'.
  See Also:
    `Domain.getConstraint()`, `SQLDataTypesPackage.getDomain()`

### getDomain_DefaultValue

    public EAttribute getDomain_DefaultValue()

  Specified by:
    `getDomain_DefaultValue` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for the attribute 'Default Value'.
  See Also:
    `Domain.getDefaultValue()`, `SQLDataTypesPackage.getDomain()`

### getField

    public EClass getField()

  Specified by:
    `getField` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for class 'Field'.
  See Also:
    `Field`

### getField_ScopeCheck

    public EAttribute getField_ScopeCheck()

  Specified by:
    `getField_ScopeCheck` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for the attribute 'Scope Check'.
  See Also:
    `Field.getScopeCheck()`, `SQLDataTypesPackage.getField()`

### getField_ScopeChecked

    public EAttribute getField_ScopeChecked()

  Specified by:
    `getField_ScopeChecked` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for the attribute 'Scope Checked'.
  See Also:
    `Field.isScopeChecked()`, `SQLDataTypesPackage.getField()`

### getReferenceDataType

    public EClass getReferenceDataType()

  Specified by:
    `getReferenceDataType` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for class 'Reference Data Type'.
  See Also:
    `ReferenceDataType`

### getReferenceDataType_ScopeTable

    public EReference getReferenceDataType_ScopeTable()

  Specified by:
    `getReferenceDataType_ScopeTable` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for the reference 'Scope Table'.
  See Also:
    `ReferenceDataType.getScopeTable()`, `SQLDataTypesPackage.getReferenceDataType()`

### getReferenceDataType_ReferencedType

    public EReference getReferenceDataType_ReferencedType()

  Specified by:
    `getReferenceDataType_ReferencedType` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for the reference 'Referenced Type'.
  See Also:
    `ReferenceDataType.getReferencedType()`, `SQLDataTypesPackage.getReferenceDataType()`

### getConstructedDataType

    public EClass getConstructedDataType()

  Specified by:
    `getConstructedDataType` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for class 'Constructed Data Type'.
  See Also:
    `ConstructedDataType`

### getSQLDataType

    public EClass getSQLDataType()

  Specified by:
    `getSQLDataType` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for class 'SQL Data Type'.
  See Also:
    `SQLDataType`

### getDataLinkDataType

    public EClass getDataLinkDataType()

  Specified by:
    `getDataLinkDataType` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for class 'Data Link Data Type'.
  See Also:
    `DataLinkDataType`

### getDataLinkDataType_Length

    public EAttribute getDataLinkDataType_Length()

  Specified by:
    `getDataLinkDataType_Length` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for the attribute 'Length'.
  See Also:
    `DataLinkDataType.getLength()`, `SQLDataTypesPackage.getDataLinkDataType()`

### getDataLinkDataType_LinkControl

    public EAttribute getDataLinkDataType_LinkControl()

  Specified by:
    `getDataLinkDataType_LinkControl` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for the attribute 'Link Control'.
  See Also:
    `DataLinkDataType.getLinkControl()`, `SQLDataTypesPackage.getDataLinkDataType()`

### getDataLinkDataType_IntegrityControl

    public EAttribute getDataLinkDataType_IntegrityControl()

  Specified by:
    `getDataLinkDataType_IntegrityControl` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for the attribute 'Integrity Control'.
  See Also:
    `DataLinkDataType.getIntegrityControl()`, `SQLDataTypesPackage.getDataLinkDataType()`

### getDataLinkDataType_ReadPermission

    public EAttribute getDataLinkDataType_ReadPermission()

  Specified by:
    `getDataLinkDataType_ReadPermission` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for the attribute 'Read Permission'.
  See Also:
    `DataLinkDataType.getReadPermission()`, `SQLDataTypesPackage.getDataLinkDataType()`

### getDataLinkDataType_WritePermission

    public EAttribute getDataLinkDataType_WritePermission()

  Specified by:
    `getDataLinkDataType_WritePermission` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for the attribute 'Write Permission'.
  See Also:
    `DataLinkDataType.getWritePermission()`, `SQLDataTypesPackage.getDataLinkDataType()`

### getDataLinkDataType_Recovery

    public EAttribute getDataLinkDataType_Recovery()

  Specified by:
    `getDataLinkDataType_Recovery` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for the attribute 'Recovery'.
  See Also:
    `DataLinkDataType.isRecovery()`, `SQLDataTypesPackage.getDataLinkDataType()`

### getDataLinkDataType_Unlink

    public EAttribute getDataLinkDataType_Unlink()

  Specified by:
    `getDataLinkDataType_Unlink` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for the attribute 'Unlink'.
  See Also:
    `DataLinkDataType.getUnlink()`, `SQLDataTypesPackage.getDataLinkDataType()`

### getUserDefinedTypeOrdering

    public EClass getUserDefinedTypeOrdering()

  Specified by:
    `getUserDefinedTypeOrdering` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for class 'User Defined Type Ordering'.
  See Also:
    `UserDefinedTypeOrdering`

### getUserDefinedTypeOrdering_OrderingForm

    public EAttribute getUserDefinedTypeOrdering_OrderingForm()

  Specified by:
    `getUserDefinedTypeOrdering_OrderingForm` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for the attribute 'Ordering Form'.
  See Also:
    `UserDefinedTypeOrdering.getOrderingForm()`, `SQLDataTypesPackage.getUserDefinedTypeOrdering()`

### getUserDefinedTypeOrdering_OrderingCategory

    public EAttribute getUserDefinedTypeOrdering_OrderingCategory()

  Specified by:
    `getUserDefinedTypeOrdering_OrderingCategory` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for the attribute 'Ordering Category'.
  See Also:
    `UserDefinedTypeOrdering.getOrderingCategory()`, `SQLDataTypesPackage.getUserDefinedTypeOrdering()`

### getUserDefinedTypeOrdering_OrderingRoutine

    public EReference getUserDefinedTypeOrdering_OrderingRoutine()

  Specified by:
    `getUserDefinedTypeOrdering_OrderingRoutine` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for the reference 'Ordering Routine'.
  See Also:
    `UserDefinedTypeOrdering.getOrderingRoutine()`, `SQLDataTypesPackage.getUserDefinedTypeOrdering()`

### getDateDataType

    public EClass getDateDataType()

  Specified by:
    `getDateDataType` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for class 'Date Data Type'.
  See Also:
    `DateDataType`

### getExactNumericDataType

    public EClass getExactNumericDataType()

  Specified by:
    `getExactNumericDataType` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for class 'Exact Numeric Data Type'.
  See Also:
    `ExactNumericDataType`

### getExactNumericDataType_Scale

    public EAttribute getExactNumericDataType_Scale()

  Specified by:
    `getExactNumericDataType_Scale` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for the attribute 'Scale'.
  See Also:
    `ExactNumericDataType.getScale()`, `SQLDataTypesPackage.getExactNumericDataType()`

### getApproximateNumericDataType

    public EClass getApproximateNumericDataType()

  Specified by:
    `getApproximateNumericDataType` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for class 'Approximate Numeric Data Type'.
  See Also:
    `ApproximateNumericDataType`

### getIntegerDataType

    public EClass getIntegerDataType()

  Specified by:
    `getIntegerDataType` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for class 'Integer Data Type'.
  See Also:
    `IntegerDataType`

### getXMLDataType

    public EClass getXMLDataType()

  Specified by:
    `getXMLDataType` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for class 'XML Data Type'.
  See Also:
    `XMLDataType`

### getCoercibilityType

    public EEnum getCoercibilityType()

  Specified by:
    `getCoercibilityType` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for enum 'Coercibility Type'.
  See Also:
    `CoercibilityType`

### getIntervalQualifierType

    public EEnum getIntervalQualifierType()

  Specified by:
    `getIntervalQualifierType` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for enum 'Interval Qualifier Type'.
  See Also:
    `IntervalQualifierType`

### getOrderingType

    public EEnum getOrderingType()

  Specified by:
    `getOrderingType` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for enum 'Ordering Type'.
  See Also:
    `OrderingType`

### getOrderingCategoryType

    public EEnum getOrderingCategoryType()

  Specified by:
    `getOrderingCategoryType` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for enum 'Ordering Category Type'.
  See Also:
    `OrderingCategoryType`

### getPrimitiveType

    public EEnum getPrimitiveType()

  Specified by:
    `getPrimitiveType` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for enum 'Primitive Type'.
  See Also:
    `PrimitiveType`

### getLinkControlOption

    public EEnum getLinkControlOption()

  Specified by:
    `getLinkControlOption` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for enum 'Link Control Option'.
  See Also:
    `LinkControlOption`

### getIntegrityControlOption

    public EEnum getIntegrityControlOption()

  Specified by:
    `getIntegrityControlOption` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for enum 'Integrity Control Option'.
  See Also:
    `IntegrityControlOption`

### getReadPermissionOption

    public EEnum getReadPermissionOption()

  Specified by:
    `getReadPermissionOption` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for enum 'Read Permission Option'.
  See Also:
    `ReadPermissionOption`

### getWritePermissionOption

    public EEnum getWritePermissionOption()

  Specified by:
    `getWritePermissionOption` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for enum 'Write Permission Option'.
  See Also:
    `WritePermissionOption`

### getUnlinkOption

    public EEnum getUnlinkOption()

  Specified by:
    `getUnlinkOption` in interface `SQLDataTypesPackage`
  Returns:
    the meta object for enum 'Unlink Option'.
  See Also:
    `UnlinkOption`

### getSQLDataTypesFactory

    public SQLDataTypesFactory getSQLDataTypesFactory()

  Specified by:
    `getSQLDataTypesFactory` in interface `SQLDataTypesPackage`
  Returns:
    the factory that creates the instances of the model.

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

    public void initializePackageContents()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.